<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>qqplot</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="nlinregr.html">&lt;&lt; nlinregr</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a></span>

      </td>
      <td width="30%" class="next">
      	
      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">Regression tools (regtools)</a> &gt;&gt; <a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a> &gt; qqplot</span>

    <br /><br />
    <div class="info"></div>

  <div class="refnamediv"><h1 class="refname">qqplot</h1><p class="refpurpose">Draw a quantile-quantile plot</p></div>



<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre><span class="functionid">qqplot</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">y</span><span class="default">) </span><span class="comment">// compare two data sets x and y</span>
<span class="functionid">qqplot</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">dist</span><span class="default">,</span><span class="default">p1</span><span class="default">,</span><span class="default">p2</span><span class="default">,...) </span><span class="comment">// compare x with a distribution function with parameters p1,p2,...</span>
<span class="functionid">qqplot</span><span class="default">(</span><span class="default">x</span><span class="default">)       </span><span class="comment">// compare x with the standard normal distribution function (N(0,1))</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x:</span>
      <dd><p class="para">data set x (vector)</p></dd></dt>
   <dt><span class="term">y:</span>
      <dd><p class="para">a second data set y (vector) to compare with x</p></dd></dt>
   <dt><span class="term">dist:</span>
      <dd><p class="para">distribution function (beta | bin | chi | chn | f | fnc | gam | nbn | nor | poi | t) (string).</p></dd></dt>
   <dt><span class="term">p1,p2,...:</span>
      <dd><p class="para">parameters relevant for the selected distribution function. See Description for details.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Compare two data sets by plotting the quantiles of each set against each other (x versys y).
One data set may also be plotted against quantiles generated from a statistical distribution
function.</p>
   <p class="para">If the data sets come from identical distributions the points fall along the 45degree line (x=y).
If the data sets come from distributions that are linearly dependent the points fall along a
straight line different from x=y.</p>
   <p class="para">A straight line is drawn through the first and third quantile of the two data sets.</p>
   <p class="para">Calling sequence for comparing data set x with the available distribution functions:
<ul class="itemizedlist"><li>Beta distribution : qqplot(x,&#0039;beta&#0039;,A,B)</li>
<li>Binomial distribution : qqplot(x,&#0039;bin&#0039;,S,Pr,Ompr)</li>
<li>Chi-square distribution : qqplot(x,&#0039;chi&#0039;,Df)</li>
<li>Non-central Chi-square distribution : qqplot(x,&#0039;chn&#0039;,Df,Pnonc)</li>
<li>F distribution : qqplot(x,&#0039;f&#0039;,Dfn,Dfd)</li>
<li>Non-central F distribution : qqplot(x,&#0039;fnc&#0039;,Dfn,Dfd,Pnonc)</li>
<li>Gamma distribution : qqplot(x,&#0039;gam&#0039;,Shape,Scale)</li>
<li>Negative binomial distribution : qqplot(x,&#0039;nbn&#0039;,Pr,Ompr,S)</li>
<li>Normal distribution : qqplot(x,&#0039;nor&#0039;,Mean,Std)</li>
<li>Poisson distribution : qqplot(x,&#0039;poi&#0039;,Xlam)</li>
<li>Student&#0039;s T distribution : qqplot(x,&#0039;t&#0039;,Df)</li></ul>
See help cdfDIST - where DIST is beta|bin|chi|chn|f|fnc|gam|nbn|nor|poi|t for more information
on the parameters associated with every distribution function.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">// Compare two data sets</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">25</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">y</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">20</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">qqplot</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">// they should come from the same distribution</span>

<span class="scilabcomment">// The rand() function does not follow a normal N(0,1) distribution.</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">qqplot</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <a class="scilabmacro" href="scilab://ylabel">ylabel</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Samples from rand()</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>

<span class="scilabcomment">// Use grand() to get a normal distribution</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">qqplot</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://grand">grand</a><span class="scilabopenclose">(</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">nor</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <a class="scilabmacro" href="scilab://ylabel">ylabel</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">grand(100,1,''nor'',0,1)</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>

<span class="scilabcomment">// Example from the R package (www.r.org).</span>
<span class="scilabcomment">// Precipitation in US Cities, (Statistical Abstracts of the United States, 1975.).</span>
<span class="scilabid">precip</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabnumber">67.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">54.7</span><span class="scilabdefault">,</span>  <span class="scilabnumber">7.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">48.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">14.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">17.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">20.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">13.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">43.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">40.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">38.9</span><span class="scilabdefault">,</span> <span class="scilabnumber">54.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">59.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">48.3</span><span class="scilabdefault">,</span> <span class="scilabnumber">22.9</span><span class="scilabdefault">,</span><span class="scilabspecial">..</span>
<span class="scilabnumber">11.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">34.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">35.1</span><span class="scilabdefault">,</span> <span class="scilabnumber">38.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">30.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">30.6</span><span class="scilabdefault">,</span> <span class="scilabnumber">43.1</span><span class="scilabdefault">,</span> <span class="scilabnumber">56.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">40.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">41.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">42.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">31.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">31.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">30.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">25.9</span><span class="scilabdefault">,</span><span class="scilabspecial">..</span>
<span class="scilabnumber">49.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">37.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">35.9</span><span class="scilabdefault">,</span> <span class="scilabnumber">15.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">30.2</span><span class="scilabdefault">,</span>  <span class="scilabnumber">7.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">36.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">45.5</span><span class="scilabdefault">,</span>  <span class="scilabnumber">7.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">33.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">36.1</span><span class="scilabdefault">,</span> <span class="scilabnumber">40.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">42.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">42.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">16.2</span><span class="scilabdefault">,</span><span class="scilabspecial">..</span>
<span class="scilabnumber">39.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">35.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">37.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">31.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">37.6</span><span class="scilabdefault">,</span> <span class="scilabnumber">39.9</span><span class="scilabdefault">,</span> <span class="scilabnumber">36.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">42.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">46.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">24.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">49.1</span><span class="scilabdefault">,</span> <span class="scilabnumber">46.0</span><span class="scilabdefault">,</span> <span class="scilabnumber">35.9</span><span class="scilabdefault">,</span>  <span class="scilabnumber">7.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">48.2</span><span class="scilabdefault">,</span><span class="scilabspecial">..</span>
<span class="scilabnumber">15.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">32.5</span><span class="scilabdefault">,</span> <span class="scilabnumber">44.7</span><span class="scilabdefault">,</span> <span class="scilabnumber">42.6</span><span class="scilabdefault">,</span> <span class="scilabnumber">38.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">17.4</span><span class="scilabdefault">,</span> <span class="scilabnumber">40.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">29.1</span><span class="scilabdefault">,</span> <span class="scilabnumber">14.6</span><span class="scilabdefault">,</span> <span class="scilabnumber">59.2</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">qqplot</span><span class="scilabopenclose">(</span><span class="scilabid">precip</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// compare with a N(0,1) distribution.</span>
<a class="scilabmacro" href="scilab://ylabel">ylabel</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Precipitation in 70 US cities [in/yr]</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"></li>
   <li class="member"></li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">Wikipedia; http://en.wikipedia.org/wiki/Q-Q_plot</p></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">T. Pettersen, top@tpett.com</li></ul></div>


    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="nlinregr.html">&lt;&lt; nlinregr</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a></span>

      </td>
      <td width="30%" class="next">
      	
      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
